# Project management platforms, accessible via SSH shells.

# ---
# Git shells.
# ---

Host mongit
	# My self-hosted git forge, available at forge.touhey.org.
	# This forge is hosted on hercule.touhey.org; see `hercule`
	# in `012_net.cfg` for gitolite administration.
	# This ssh_config entry only is about git access.

	Hostname forge.touhey.org
	IdentityFile ~/.ssh/keys/cake
	User gitolite

Host giteapc pcgitea gitea.planet-casio.com
	# Planète Casio's hosted Gitea instance, available at
	# <https://gitea.planet-casio.com/>.
	# Hosts projects for Planète Casio, CreativeCalc and related
	# projects, for members.

	Hostname gitea.planet-casio.com
	IdentityFile ~/.ssh/keys/cake
	User gitea

Host bitbucket bb bitbucket.org v42git
	# Bitbucket's SSH access.

	Hostname bitbucket.org
	IdentityFile ~/.ssh/keys/cake
	User git

Host github github.com
	# GitHub.com's SSH access.

	Hostname github.com
	IdentityFile ~/.ssh/keys/cake
	User git

Host gitlab gitlab.com
	# Gitlab.com's SSH access.

	Hostname gitlab.com
	IdentityFile ~/.ssh/keys/cake
	User git

# ---
# Package publishing SSH shells.
# ---

Host aur aur.archlinux.org
	# SSH access to the Archlinux User Repository (AUR)
	# Made for commands and git synchronization.

	Hostname aur.archlinux.org
	IdentityFile ~/.ssh/keys/cake
	User aur
